feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Trace

# Documentation

data Trace a where

Constructors

Trace :: Type a => Trace (IntN :-> (a :-> Full a)) |

Instances

EvalBind Trace |
Constrained Trace |
Semantic Trace |
Eval Trace |
Render Trace |
ToTree Trace |
Equality Trace |
Sharable Trace |
AlphaEq dom dom dom env => AlphaEq Trace Trace dom env |
SizeProp (:|| Trace Type) |
(:<: (:|| Trace Type) dom, OptimizeSuper dom) => Optimize (:|| Trace Type) dom |